summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Niki Kovacs2015-02-04 23:14:18 +0100
committer Willy Sudiarto Raharjo2015-02-05 00:47:43 +0100
commitce1f25ac6d79adecc55fa3a9474d8bb15d3b2af3 (patch)
tree5ad100bda349016cba45180e54ea090fdac33a56 /network
parentb73456910b7c7b26504cb8ea777ec4a08bc8ffce (diff)
downloadslackbuilds-ce1f25ac6d79adecc55fa3a9474d8bb15d3b2af3.tar.gz
network/squidGuard: Added (URL redirector).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/squidGuard/README2
-rw-r--r--network/squidGuard/doinst.sh14
-rw-r--r--network/squidGuard/slack-desc19
-rw-r--r--network/squidGuard/squidGuard.SlackBuild120
-rw-r--r--network/squidGuard/squidGuard.info10
5 files changed, 165 insertions, 0 deletions
diff --git a/network/squidGuard/README b/network/squidGuard/README
new file mode 100644
index 0000000000..3b76ae4f42
--- /dev/null
+++ b/network/squidGuard/README
@@ -0,0 +1,2 @@
+SquidGuard is a URL redirector software used to use blacklists with
+the proxy software Squid.
diff --git a/network/squidGuard/doinst.sh b/network/squidGuard/doinst.sh
new file mode 100644
index 0000000000..0938b3cf5f
--- /dev/null
+++ b/network/squidGuard/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/squidguard/squidguard.conf.new
diff --git a/network/squidGuard/slack-desc b/network/squidGuard/slack-desc
new file mode 100644
index 0000000000..be36da78ab
--- /dev/null
+++ b/network/squidGuard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+squidGuard: squidGuard (URL redirector)
+squidGuard:
+squidGuard: SquidGuard is a URL redirector software used to use blacklists with
+squidGuard: the proxy software Squid.
+squidGuard:
+squidGuard:
+squidGuard:
+squidGuard:
+squidGuard:
+squidGuard:
+squidGuard: Homepage: http://www.squidguard.org
diff --git a/network/squidGuard/squidGuard.SlackBuild b/network/squidGuard/squidGuard.SlackBuild
new file mode 100644
index 0000000000..aff5b9e326
--- /dev/null
+++ b/network/squidGuard/squidGuard.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Slackware build script for squidGuard
+
+# Written by Niki Kovacs <info@microlinux.fr>
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=squidGuard
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+# Fixes a buffer overflow problem and prevents squidGuard from going into
+# emergency mode when overlong URLs are encountered (they can be perfectly
+# legal).
+tar xvf $CWD/patches/$PRGNAM-$VERSION-patch-20091015.tar.gz
+cat $PRGNAM-$VERSION-patch-20091015/sgLog.c > $PRGNAM-$VERSION/src/sgLog.c
+
+# Fixes two bypass problems with URLs having a length closed to the defined
+# MAX_BUF value (4096).
+tar xvf $CWD/patches/$PRGNAM-$VERSION-patch-20091019.tar.gz
+cat $PRGNAM-$VERSION-20091019/sg.h.in > $PRGNAM-$VERSION/src/sg.h.in
+cat $PRGNAM-$VERSION-20091019/sgDiv.c.in > $PRGNAM-$VERSION/src/sgDiv.c.in
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-sg-config=/etc/squidguard/squidguard.conf \
+ --with-sg-logdir=/var/log/squidguard \
+ --with-sg-dbhome=/var/lib/squidguard \
+ --with-squiduser=nobody \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make prefix=$PKG/usr install
+
+mkdir -p $PKG/etc/squidguard
+mkdir -p $PKG/var/lib/squidguard
+mkdir -p $PKG/var/log/squidguard
+cat samples/sample.conf > $PKG/etc/squidguard/squidguard.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ANNOUNCE CHANGELOG CONFIGURATION COPYING FAQ GPL INSTALL ISSUES.txt \
+ README* samples/ doc/{*.html,*.txt,*.gif} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/squidGuard/squidGuard.info b/network/squidGuard/squidGuard.info
new file mode 100644
index 0000000000..33defaf45c
--- /dev/null
+++ b/network/squidGuard/squidGuard.info
@@ -0,0 +1,10 @@
+PRGNAM="squidGuard"
+VERSION="1.4"
+HOMEPAGE="http://www.squidguard.org"
+DOWNLOAD="http://www.squidguard.org/Downloads/squidGuard-1.4.tar.gz"
+MD5SUM="de834150998c1386c30feae196f16b06"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="squid"
+MAINTAINER="Niki Kovacs"
+EMAIL="info@microlinux.fr"